Completions
Given a list of messages comprising a conversation, the model will return a response.
Create chat completion
client.Chat.Completions.New(ctx, body) (*ChatCompletion, error)
POST
/chat/completionsDelete chat completion
client.Chat.Completions.Delete(ctx, completionID) (*ChatCompletionDeleted, error)
DELETE
/chat/completions/{completion_id}List Chat Completions
client.Chat.Completions.List(ctx, query) (*CursorPage[ChatCompletion], error)
GET
/chat/completionsGet chat completion
client.Chat.Completions.Get(ctx, completionID) (*ChatCompletion, error)
GET
/chat/completions/{completion_id}Update chat completion
client.Chat.Completions.Update(ctx, completionID, body) (*ChatCompletion, error)
POST
/chat/completions/{completion_id}CompletionsMessages
Given a list of messages comprising a conversation, the model will return a response.
Get chat messages
client.Chat.Completions.Messages.List(ctx, completionID, query) (*CursorPage[ChatCompletionStoreMessage], error)
GET
/chat/completions/{completion_id}/messages